Subject: Re: bug#46177: 27.1; Display problem with minibuffer overlay when using display property

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jan 2021 14:06:56 +0200

> Cc: [email-masked]
> From: Clemens <[email-masked]>
> Date: Sat, 30 Jan 2021 12:09:57 +0100
> 
> Because the " minibuffer" string follows the non affected " from" string
> this is unexpected from a caller/UI viewpoint IMO.

Once Emacs is about to display a 'display' property string, the rules
for which faces are relevant change.

> I don't understand the underlying reasoning for this but if you
> don't think there is something to fix here, I will accept that and
> continue using my workaround.

It's just how Emacs worked since v21, so I think it's too late to
change now.